SSDPY-DISCOVER(1)

NAME
ssdpy-discover - Run an SSDP M-SEARCH

SYNOPSIS
ssdpy-discover [options] ST

DESCRIPTION
ssdpy-discover discovers SSDP devices on the network by sending an M-SEARCH packet.

OPTIONS

ST  The type of device to search for (example ssdp:all).

-h, --help
    Show the program's built-in help message and exit.

-V, --version
    Show the program's version number and exit.

-v, --verbose
    Increase verbosity.

-6, --ipv6
    Listen on IPv6 instead of IPv4.

-t, --ttl TTL
    Specify TTL for the M-SEARCH; defaults to 2.

-o, --timeout timeout
    Specify maximum timeout for connections; defaults to 5.

-i, --iface interface
    Listen on a specific network interface.

-a, --address address
    Bind to a specific address.

-p, --port port
    Send M-SEARCH on a specific port; defaults to 1900.

-m, --mx time
    Specify maximum wait time for response; defaults to 1s.

-j, --json
    Format output as JSON.

COPYRIGHT
Copyright © 2019-2020 Moshi Binyamini.

This is free software; see the source for copying conditions. There is NO WARRANTY, to the extent permitted by law.